# Ogre::ConfigDialog Class Reference

Defines the behaviour of an automatic renderer configuration dialog. More...

`#include <OgreConfigDialog.h>`

Inheritance diagram for Ogre::ConfigDialog:

List of all members.

## Public Member Functions

virtual | ~ConfigDialog ()
virtual bool | display (void)=0
| Displays the dialog.

## Protected Attributes

RenderSystem * | mSelectedRenderSystem

## Detailed Description

Defines the behaviour of an automatic renderer configuration dialog.

Remarks:
  OGRE comes with it's own renderer configuration dialog, which applications can use to easily allow the user to configure the settings appropriate to their machine. This class defines the interface to this standard dialog. Because dialogs are inherently tied to a particular platform's windowing system, there will be a different subclass for each platform.

Author:
  Steven J. Streeting

Definition at line 43 of file OgreConfigDialog.h.

## Constructor & Destructor Documentation

virtual Ogre::ConfigDialog::~ConfigDialog | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool Ogre::ConfigDialog::display | ( | void |  | ) | `[pure virtual]`

Displays the dialog.

Remarks:
  This method displays the dialog and from then on the dialog interacts with the user independently. The dialog will be calling the relevant OGRE rendering systems to query them for options and to set the options the user selects. The method returns when the user closes the dialog.

Returns:
  If the user accepted the dialog, true is returned.

  If the user cancelled the dialog (indicating the application should probably terminate), false is returned.

See also:
  RenderSystem

Implemented in Ogre::GLXConfig, Ogre::SDLConfig, Ogre::SDLConfig, and Ogre::Win32ConfigDialog.

## Member Data Documentation

RenderSystem* Ogre::ConfigDialog::mSelectedRenderSystem `[protected]`

| Definition at line 65 of file OgreConfigDialog.h.

The documentation for this class was generated from the following file:

- OgreConfigDialog.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:36:30 2005